## org.apache.mahout.df.callback
Interface PredictionCallback

All Known Implementing Classes:
  ForestPredictions, MeanTreeCollector, MultiCallback, SingleTreePredictions

    public interface PredictionCallback

Called each time an instance has been classified

Method Summary
`void` `prediction(int treeId, int instanceId, int prediction)` called when an instance has been classified

Method Detail

### prediction

    void prediction(int treeId,
                    int instanceId,
                    int prediction)

  called when an instance has been classified

  Parameters:
    `treeId` - tree that classified the instance
    `instanceId` - classified instance
    `prediction` - predicted label

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.